Subject: bug#61943: 29.0.60; icomplete--in-region-setup should activate icomplete-fido-mode-map too

From: João Távora <[email-masked]>
Date: Fri, 3 Mar 2023 20:26:14 +0000

On Fri, Mar 3, 2023, 18:19 Sean Whitton <[email-masked]> wrote:
>
> X-debbugs-cc: [email-masked], [email-masked]
>
> Many thanks to Juri and Joao for fixing #45763!  It's a whole new world!

You're welcome, but I think Juri did most of the work.

I had planned to tackle this some time ago but it got lost in
somewhere in the bucket of TODOs.  I haven't given it much
testing,  but I'm suprised it works the way it does.

I imagined it would show the typical constantly-adjusting
fido-mode/icomplete list of candidates in the echo area, but it
doesn't, only for in-buffer instead of minibuffer.
Instead, it seems to popup *Completions* as usual.

Am I being dense here? How do you set it up? Is it just
(setq icomplete-in-buffer t) + M-x fido-mode as I did?
And how do you invoke it? Is it C-M-i?

> I am a fido-mode user.  I noticed that my custom bindings for the
> fido-mode minibuffer don't work for in-buffer completion.  I think that
> icomplete--in-region-setup should compose in icomplete-fido-mode-map, in
> addition to icomplete-minibuffer-map, in the case that fido-mode is on?

This probably makes sense, but please, for my benefit, try to show
a minimal config with just Emacs -Q and your keybindings that
you want to use in both fido modes.

João